| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iShaderVariableAccessor Struct Reference
[3D]

Interface to an accessorcallback for shadervariables. More...

`#include <csgfx/shadervar.h>`

Inheritance diagram for iShaderVariableAccessor:

[legend]
List of all members.

## Public Member Functions
virtual void | PreGetValue (csShaderVariable *variable)=0
| Called before the value of the attached SV is returned.

## Detailed Description

Interface to an accessorcallback for shadervariables.

This is used when we know the object providing the value of a single variable, but the exact value cannot be predetermined.

Definition at line 58 of file shadervar.h.

## Member Function Documentation

virtual void iShaderVariableAccessor::PreGetValue | ( | csShaderVariable * | variable | ) | `[pure virtual]`

Called before the value of the attached SV is returned.

Implemented in csShaderExpressionAccessor, and csNormalizationCubeAccessor.

The documentation for this struct was generated from the following file:

- csgfx/shadervar.h